
Redmine - Defect #19842

User allowed to manage public queries in any project, can create public query visible to everyone for

ALL projects

2015-05-14 17:38 - Maria Tikhonova

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.0.4   

Resolution: Fixed Affected version:  

Description

If user is allowed to manage public queries in some project, from this project he will be able to create query:

- visible to any users

- for any project

in the same time.

Those options must be mutually exclusive.

Associated revisions

Revision 14388 - 2015-06-29 18:06 - Jean-Philippe Lang

Fixed that user with "Manage public queries" permission, can create global public query (#19842).

Revision 14403 - 2015-07-05 12:34 - Jean-Philippe Lang

Merged r14388 (#19842).

Revision 14404 - 2015-07-05 12:34 - Jean-Philippe Lang

Merged r14388 (#19842).

History

#1 - 2015-06-29 17:59 - Jean-Philippe Lang

- Category set to Issues

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.4

#2 - 2015-06-29 18:06 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

#3 - 2015-07-05 12:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed
